#
# Requires package car for the function data.ellipse: do library(car)
#
# Requires textbook R data set Galton.RData which contains
# dataframe Galton
#
graphics.off()
windows(width=4.45,height=4.45,pointsize=12)
par(fin=c(4.45,4.45),pin=c(4.45,4.45),mai=c(0.85,0.85,0.25,0.25),xaxs="i",yaxs="i")
#
set.seed(345)
#
sunflowerplot(Galton$Mother+60,Galton$Father+60,xlab="Wife's Height (inch)",
ylab="Husband's Height (inch)",xlim=c(55,75),ylim=c(60,80),pch=21,
seg.col="black",cex=0.8,cex.fact=3,seg.lwd=1.,size=1/16,rotate=TRUE)
#
data.ellipse(Galton$Mother+60,Galton$Father+60,add=TRUE,
center.pch=NULL,col="black",lwd=1.0,levels=0.95,plot.points=TRUE,pch=21,cex=0.8)
#
dev.copy2eps(file="fig10x004.eps",pointsize=12)