#
# Requires textbook R data set Galton.RData which contains
# dataframe Galton
#
n<-length(Galton$Father)
#
MidParent<-rep(0,n)
Offspring<-MidParent
#
for (i in 1:n) {
MidParent[i]<-mean(c(60+Galton$Father[i],1.08*(60+Galton$Mother[i])),na.rm=TRUE)
Offspring[i]<-mean(c(60+c(Galton$S1[i],Galton$S2[i],Galton$S3[i],Galton$S4[i],Galton$S5[i],
Galton$S6[i],Galton$S7[i],Galton$S8[i],Galton$S9[i],Galton$S10[i]),
1.08*(60+c(Galton$D1[i],Galton$D2[i],Galton$D3[i],Galton$D4[i],Galton$D5[i],
Galton$D6[i],Galton$D7[i],Galton$D8[i],Galton$D9[i]))),na.rm=TRUE)
}
#
MidParent<-MidParent+60
Offspring<-Offspring+60
#
molm<-lm(Offspring ~ MidParent)
res<-residuals(molm)
#
graphics.off()
windows(width=4.45,height=4.45,pointsize=12)
par(fin=c(4.45,4.45),pin=c(4.45,4.45),mai=c(0.85,0.85,0.25,0.25),xaxs="r",yaxs="r")
#
set.seed(345)
#
sunflowerplot(1:205,res,xlab="Family Sequence",
ylab="Residual (inch)",pch=21,ylim=c(-5,5),
seg.col="black",cex=0.5,cex.fact=3,seg.lwd=1.,size=1/16,rotate=TRUE)
#
abline(c(0,0),lty=2)
#
dev.copy2eps(file="fig11x011.eps",pointsize=12)