#
# Requires package lattice for the function cloud: do library(lattice)
#
# Requires datasets iris and iris3 from R datasets package
# 
graphics.off()
windows(width=4.45,height=3.7,pointsize=12)
par(fin=c(4.45,3.7),pin=c(4.45,3.7))
#
trellis.par.set(list(superpose.symbol=list(pch=c(24,22,21),col=gray.colors(6)[c(2,4,1)])))
#
cloud(Sepal.Length ~ Petal.Length * Petal.Width,groups=Species,
      data = iris,screen = list(z = 20, x = -70, y = 3),
      par.settings=list(axis.line = list(col = "transparent")),
      key=list(text=list(c("setosa","versicolor","virginica"),cex=rep(1,3)),
               space="top",columns=3,between=1,
               points=list(cex=rep(0.5,3),pch=c(24,22,21),col=gray.colors(6)[c(2,4,1)])),
      cex=0.5,zlab="S L",ylab="P W",xlab="P L",
      clip = list(panel = "off"),
      scales=list(arrows=FALSE,distance = 1.2)
)
#
dev.copy2eps(file="fig13x005.eps",pointsize=12)