#
# Requires package car for function scatterplot.matrix: do library(car)
#
# Requires dataset Perch
#
graphics.off()
windows(width=4.45,height=6.2,pointsize=12)
par(fin=c(4.45,6.2),pin=c(4.45,6.2),mai=c(0.,0.0,0.,0.),
xaxs="r",yaxs="r")
#
Perch$Height<-Perch$Height_pc*Perch$Length3/100
Perch$Width<-Perch$Width_pc*Perch$Length3/100
#
Perch$logmass<-log10(Perch$Weight)
Perch$loglength<-log10(Perch$Length2)
Perch$logheight<-log10(Perch$Height)
Perch$logwidth<-log10(Perch$Width)
#
lmlog<-lm(logmass ~ loglength + logheight + logwidth, data=Perch)
#
Perch$hat<-hatvalues(lmlog)
yxr<-cbind(Perch$loglength,Perch$logwidth,Perch$logheight,Perch$logmass,Perch$hat)
#
scatterplot.matrix(yxr,diagonal="density",col=palette(c("gray20","gray50")),
labels=c("log(m)","log(l)","log(w)","log(h)","leverage"),upper.panel=NULL)
#
dev.copy2eps(file="fig13x012.eps",pointsize=12)