#
# Requires package car for function influencePlot do: library(car)
#
# Requires dataset Perch
#
Perch$Height <-  Perch$Height_pc*Perch$Length3/100
Perch$Width <- Perch$Width_pc*Perch$Length3/100
#
Perch$logmass<-log10(Perch$Weight)
Perch$loglength<-log10(Perch$Length2)
Perch$logheight<-log10(Perch$Height)
Perch$logwidth<-log10(Perch$Width)
#
lmlog<-lm(log_mass ~ loglength + logheight + logwidth, data=Perch)
#
graphics.off()
windows(width=4.45,height=6.2,pointsize=12)
par(fin=c(4.45,6.2),pin=c(4.45,6.2),mai=c(0.85,0.85,0.25,0.25),
xaxs="r",yaxs="r")
#
influencePlot(lmlog,ylim=c(-4,4),xlim=c(0,0.35),col=c("gray","black"),labels=FALSE)
#
text(x=.27,y=-3.1,labels="FISH #104")
#
dev.copy2eps(file="fig13x013.eps",pointsize=12)