#
# Requires textbook R data set Fishcatch.RData which contains
# dataframe Fishcatch
#
graphics.off()
windows(width=4.45,height=4.45,pointsize=12)
par(fin=c(4.45,4.45),pin=c(4.45,4.45),mai=c(0.85,1.25,0.25,0.25),xaxs="r")
#
fc<-Fishcatch
#
fc$Species<-ordered(fc$Species,levels=c(1,6,2,7,4,3,5),
labels=c("Bream","Pike","Ide","Perch","Silver Bream","Roach","Smelt"))
#
set.seed(475)
#
stripchart(fc$Weight ~ fc$Species,pch=21,method="jitter",
cex=1.0,xlim=c(0,2000),xlab="Mass (g)",group.names=rep(" ",7),
vertical=FALSE)
#
axis(2,at=1:7,labels=levels(fc$Species),las=1)
#
dev.copy2eps(file="fig09x001.eps",pointsize=12)