#
# Requires textbook R data set Fishcatch.RData which contains
# dataframe Fishcatch
#
graphics.off()
windows(width=4.45,height=4.45,pointsize=12)
par(fin=c(4.45,4.45),pin=c(4.45,4.45),mai=c(0.85,1.25,0.25,0.25),xaxs="r")
#
fc<-Fishcatch
#
fc$Species<-ordered(fc$Species,levels=c(1,6,2,7,4,3,5),
labels=c("Bream","Pike","Ide","Perch","Silver Bream","Roach","Smelt"))
#
fc$Count<-fc$Weight
fc$Count[fc$Count >= 0]<-1
fc$Count[is.na(fc$Count)== TRUE]<-0
sums<-tapply(fc[,"Count"],INDEX=fc[,"Species"],FUN=sum,na.rm=TRUE)
sums<-sums/max(sums)
#
boxplot(Weight ~ Species,data=fc,xlim=c(0,2000),xlab="Mass (g)",
names=levels(fc$Species),horizontal=TRUE,las=1,width=sums)
#
dev.copy2eps(file="fig09x005.eps",pointsize=12)