#
# Requires textbook R data set Fishcatch.RData which contains
# dataframe Fishcatch
#
#
graphics.off()
windows(width=4.45,height=4.45,pointsize=12)
par(fin=c(4.45,4.45),pin=c(4.45,4.45),mai=c(0.85,1.25,0.25,0.25),xaxs="r",xlog=TRUE)
#
fc<-Fishcatch
#
# A mass of 0.0 is recorded for a Roach (Fish #47). This value
# is replaced by the missing value code NA
#
fc$Weight[47]<-NA
#
fc$Species<-ordered(fc$Species,levels=c(1,6,2,7,4,3,5),
labels=c("Bream","Pike","Ide","Perch","Silver Bream","Roach","Smelt"))
#
graphics.off()
windows(width=4.45,height=4.45,pointsize=12)
par(fin=c(4.45,4.45),pin=c(4.45,4.45),mai=c(0.85,1.25,0.25,0.25),xaxs="r",xlog=TRUE)
#
boxplot(Weight ~ Species,data=fc,xlim=c(0,2000),xlab="Mass (g)",
names=levels(fc$Species),horizontal=TRUE,las=1,notch=TRUE,varwidth=TRUE,log="x")
#
dev.copy2eps(file="fig09x007.eps",pointsize=12)