#
# Requires textbook R data set Fishcatch.RData which contains
# dataframe Fishcatch
#
graphics.off()
windows(width=4.45,height=4.45,pointsize=12)
par(fin=c(4.45,4.45),pin=c(4.45,4.45),mai=c(0.85,1.25,0.25,0.25),xaxs="r")
fc<-Fishcatch
#
fc$Species<-ordered(fc$Species,levels=c(1,6,2,7,4,3,5),
labels=c("Bream","Pike","Ide","Perch","Silver Bream","Roach","Smelt"))
#
means<-tapply(fc[,"Weight"],INDEX=fc[,"Species"],FUN=mean,na.rm=TRUE)
sds<-tapply(fc[,"Weight"],INDEX=fc[,"Species"],FUN=sd,na.rm=TRUE)
#
stripchart(fc$Weight ~ fc$Species,pch=21,col="white",#method="jitter",
xlim=c(0,2000),xlab="Mass (g)",group.names=rep(" ",7),
vertical=FALSE)
#
for (i in 1:7) points(means[i],i,pch=19)
for (i in 1:7) lines(c(means[i]-sds[i],means[i]+sds[i]),c(i,i))
for (i in 1:7) lines(rep(means[i]-sds[i],2),c(i-0.125,i+0.125))
for (i in 1:7) lines(rep(means[i]+sds[i],2),c(i-0.125,i+0.125))
#
axis(2,at=1:7,labels=levels(fc$Species),las=1)
#
dev.copy2eps(file="fig09x010.eps",pointsize=12)