#
# Requires library MASS for function kde2d do: library(MASS)
#  
# Requires library lattice for funciton wireframe: do library(lattice)
#
# Requires textbook R data set Galton.RData which contains
# dataframe Galton
#
graphics.off()
windows(width=4.45,height=3.,pointsize=12)
par(fin=c(3.,3.),pin=c(4.45,3.),mai=c(0.0,0.0,0.0),xaxs="i",yaxs="i",las=1)
plot.new()
#
bwmf<-c(bandwidth.nrd(Galton$Mother+60),bandwidth.nrd(Galton$Father+60))
#
kdemf<-kde2d(Galton$Mother+60,Galton$Father+60,h=bwmf,n=50,lims=c(57,71,61,79))
#
mfd<-expand.grid(x=kdemf$x,y=kdemf$y)
mfd$z<-c(kdemf$z)
#
wireframe(z ~ x * y,data=mfd,drape=TRUE,col.regions=terrain.colors(100),
xlab="Wife",ylab="Husband",zlab="Prob.")
#
dev.copy2eps(file="col012.eps",pointsize=12,colormodel="cmyk")