#
# Requires package lattice for function xyplot: do library(lattice)
#
# Requires dataset Fishcatch
#
graphics.off()
windows(width=4.45,height=6.2,pointsize=12)
par(fin=c(4.45,6.2),pin=c(4.45,6.2),mai=c(0.,0.0,0.,0.),
xaxs="r",yaxs="r")
#
fc<-Fishcatch
#
fc$Species<-ordered(fc$Species,levels=c(5,7,6,3,2,1,4),
labels=c("Smelt","Perch","Pike","Roach","Ide","Bream","Silver Bream"))
#
attach(fc)
#
width<-equal.count(log(Width_pc * Length3/100),3,1/2)
height<-equal.count(log(Height_pc * Length3/100),3,1/2)
#
xyplot(log(Weight) ~ log(Length2) | width * height,groups=Species,
auto.key=list(columns=3),aspect=1,xlab = "log(Length)",ylab = "log(Mass)",
strip=strip.custom(var.name=c("log(Width)","log(Height)")))
#
detach(fc)
#
dev.copy2eps(file="col014.eps",pointsize=12,colormodel="cmyk")